package ru.yandex.webmaster3.core.zora.data.redir;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author avhaliullin
 */
public class ZoraRedirSettings {
    @JsonProperty("Mode")
    private final ZoraRedirMode mode;
    @JsonProperty("Depth")
    private final int depth;

    public ZoraRedirSettings(ZoraRedirMode mode, int depth) {
        this.mode = mode;
        this.depth = depth;
    }

    public ZoraRedirMode getMode() {
        return mode;
    }

    public int getDepth() {
        return depth;
    }
}
